#!/bin/bash

dir=$HOME/.www/cool/noon/

ulimit -S -m 6000000
ulimit -H -m 6000000

while sleep 0.2 ; do
    for T in 0 1 2 ; do
        for d in {3..15} ; do
            echo
            echo "=== d=$d T=$T ==="
             ~/git/cool-solver/randcool/dist/build/randcool/randcool \
                --coalition-logic \
                -A 5 \
                --no-toplevel-disj-form \
                --no-toplevel-conj-tbox \
                --modal-depth-tbox 2 -T $T -n 2  \
                --max-conjuncts 4 \
                --max-disjuncts 4 \
                -d $d \
                > input

           ./coalgcompare --timeout 300 genericCL < input \
                | tee -a $dir/CL-d${d}-T${T}.${HOSTNAME} \
            || break
        done
    done
done
