#!/bin/bash

dir=$HOME/.www/cool/noon/

ulimit -S -m 6000000
ulimit -H -m 6000000

while sleep 0.2 ; do
    for T in 0 1 2 ; do
        for d in {3..15} ; do
            echo
            echo "=== d=$d T=$T ==="
             ~/git/cool-solver/randcool/dist/build/randcool/randcool \
                -G \
                --min-grade 1 \
                --no-toplevel-disj-form \
                --no-toplevel-conj-tbox \
                --modal-depth-tbox 2 -T 0 -n 2  \
                --max-conjuncts 3 \
                --max-disjuncts 3 \
                -d $d \
                > input

           ./coalgcompare --timeout 300 genericGML < input \
                | tee -a $dir/GML-d${d}-T${T}.${HOSTNAME} \
            || break
        done
    done
done
