type var = private int
type lit = private int
type solver
type litstatus = LTRUE | LFALSE | LUNDEF

val var_to_lit : var -> bool -> lit
val lit_to_var : lit -> var
val sign : lit -> bool
val neg_lit : lit -> lit

val new_solver : unit -> solver
val new_variable : solver -> var
val add_clause : solver -> lit list -> bool
val invoke_solver : solver -> lit list -> bool
val literal_status : solver -> lit -> litstatus
val get_conflict : solver -> lit list
