

(* name, callback, shortdescription, long description *)
type binding = string * (string list -> unit) * string * string

type settings = {
    prompt: string;
    bindings: binding list;
}

val helpCommand : binding list -> (string list -> unit)
val addHelpBinding : binding list -> binding list

val bind : string -> (string list -> unit) -> string -> string -> binding

val start : settings -> unit
val stop : unit -> unit

val exitBinding : binding
